function [h,time,astar] = ewma(data)

tic
[T,N] = size(data);

LAMBDA = 0.94;
%VarCov = zeros(N,N,T);
VarCovTemp = data(1:30,:)'*data(1:30,:)/30;
%VarCov(:,:,1) = reshape(VarCovTemp, N,N,1);

for t = 2:T
    VarCovTemp = LAMBDA * VarCovTemp + (1-LAMBDA) * data(t-1,:)'*data(t-1,:);
    %VarCov(:,:,t) = reshape(VarCovTemp, N,N,1);
end

VarCov = VarCovTemp;
astar = MinVarPor(VarCov);
Y = data(:,1:N-1)*astar + data(:,N)*(1-astar'*ones(N-1,1)); % (T,1)-vector of portfolio returns
f = GARCH(Y);
h = f.variance(end);
time = toc;